import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class URLFrame extends javax.swing.JDialog {

	// member declarations
	javax.swing.JPanel urlPanel = new javax.swing.JPanel();
	javax.swing.JTextField urlField = new javax.swing.JTextField();
	javax.swing.JButton okButton = new javax.swing.JButton();
	javax.swing.JLabel urlLabel = new javax.swing.JLabel();
        FoXQFrame fox;

	public URLFrame(FoXQFrame f) {
	    fox = f;
	}

	public void initComponents() throws Exception {
		// the following code sets the frame's initial state
		urlPanel.setSize(new java.awt.Dimension(492, 109));
		urlPanel.setBorder(new javax.swing.border.LineBorder(java.awt.Color.black, 1));
		urlPanel.setLocation(new java.awt.Point(0, 0));
		urlPanel.setVisible(true);
		urlPanel.setAlignmentY(0.1F);
		urlPanel.setAlignmentX(0.1F);
		urlPanel.setLayout(null);
		urlPanel.setToolTipText("Select XML Data Source");
		urlPanel.setBackground(new java.awt.Color(255, 153, 0));
		urlField.setToolTipText("Enter URL of format: http://...  ");
		urlField.setBorder(new javax.swing.border.LineBorder(java.awt.Color.black, 1));
		urlField.setVisible(true);
		urlField.setSize(new java.awt.Dimension(450, 20));
		urlField.setSelectionColor(java.awt.SystemColor.textHighlight);
		urlField.setLocation(new java.awt.Point(20, 40));
		okButton.setBorder(new javax.swing.plaf.BorderUIResource.BevelBorderUIResource(0));
		okButton.setVisible(true);
		okButton.setSize(new java.awt.Dimension(60, 20));
		okButton.setText("OK");
		okButton.setBackground(new java.awt.Color(255, 153, 0));
		okButton.setLocation(new java.awt.Point(220, 70));
		urlLabel.setSize(new java.awt.Dimension(360, 22));
		urlLabel.setLocation(new java.awt.Point(20, 10));
		urlLabel.setVisible(true);
		urlLabel.setText("Enter URL of XML Data Source (on web) and click OK");
		urlLabel.setForeground(java.awt.SystemColor.textText);
		urlLabel.setBackground(new java.awt.Color(255, 153, 0));
		setLocation(new java.awt.Point(0, 0));
		getContentPane().setLayout(null);
		//setTitle("Select URL of XML data source");
		getContentPane().setBackground(new java.awt.Color(255, 153, 0));

		urlPanel.add(urlField);
		urlPanel.add(okButton);
		urlPanel.add(urlLabel);
		getContentPane().add(urlPanel);
		super.setModal(true);
		setSize(new java.awt.Dimension(500, 135));
		//setResizable(false);

		// event handling
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				thisWindowClosing(e);
			}
		});

		okButton.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseClicked(java.awt.event.MouseEvent e) {
				okButtonMouseClicked(e);
			}
		});
	}
  
  	private boolean mShown = false;

	public void okButtonMouseClicked(java.awt.event.MouseEvent e) {
	    if(urlField.getText().equals("") ||urlField.getText().equals("Enter URL")) {
		urlField.setText("Enter URL");
	    } else {
		fox.setURL(urlField.getText());
		setVisible(false);
		dispose();
	    }
	    

	}
  	
	public void addNotify() {
		super.addNotify();
		
		if (mShown)
			return;
			
		// resize frame to account for menubar
		/*JMenuBar jMenuBar = getJMenuBar();
		if (jMenuBar != null) {
			int jMenuBarHeight = jMenuBar.getPreferredSize().height;
			Dimension dimension = getSize();
			dimension.height += jMenuBarHeight;
			setSize(dimension);
			
			// move down components in layered pane
			Component[] components = getLayeredPane().getComponentsInLayer(JLayeredPane.DEFAULT_LAYER.intValue());
			for (int i = 0; i < components.length; i++) {
				Point location = components[i].getLocation();
				location.move(location.x, location.y + jMenuBarHeight);
				components[i].setLocation(location);
			}
			} */

		mShown = true;
	}

	// Close the window when the close box is clicked
	void thisWindowClosing(java.awt.event.WindowEvent e) {
		setVisible(false);
		dispose();
		//System.exit(0);
	}
	
}
